Package de.gebit.integrity.parameter.conversion.conversions.integrity.strings

## Class StringValueToBigDecimal

- java.lang.Object
- - de.gebit.integrity.parameter.conversion.Conversion<StringValue,​BigDecimal>
  - - de.gebit.integrity.parameter.conversion.conversions.integrity.strings.StringValueToBigDecimal

-     public class StringValueToBigDecimal
      extends Conversion<StringValue,​BigDecimal>

  A default Integrity conversion.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.gebit.integrity.parameter.conversion.Conversion

      `Conversion.Priority`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringValueToBigDecimal()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BigDecimal` | `convert​(StringValue aSource, Class<? extends BigDecimal> aTargetType, ConversionContext aConversionContext)` | Performs the conversion.

    - ### Methods inherited from class de.gebit.integrity.parameter.conversion.Conversion

      `convertValueRecursive, convertValueToFormattedStringArrayRecursive, setVisitedObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringValueToBigDecimal

          public StringValueToBigDecimal()

  - ### Method Detail

    - #### convert

          public BigDecimal convert​(StringValue aSource,
                                    Class<? extends BigDecimal> aTargetType,
                                    ConversionContext aConversionContext)
                             throws ConversionFailedException

      Description copied from class: `Conversion`
      Performs the conversion.
      Specified by:
        `convert` in class `Conversion<StringValue,​BigDecimal>`
      Parameters:
        `aSource` - the source object to convert
        `aTargetType` - TODO
        `aConversionContext` - controls some conversion parameters and rules; may be null if the default `ConversionContext` values shall be used
      Returns:
        the converted object
      Throws:
        `ConversionFailedException` - in case of conversion errors